import jagdx.IDirect3DDevice;
import jagdx.IDirect3DSurface;
import jagdx.IDirect3DTexture;
import jagdx.IUnknown;

public class Class329_Sub2_Sub1 extends Class329_Sub2 implements Interface36 {

   public int method195() {
      return super.method35();
   }

   Class329_Sub2_Sub1(Class545_Sub2_Sub1 var1, Class98 var2, Class91 var3, int var4, int var5) {
      super(var1, var2, var3, var4, var5, 1025, 0);
   }

   public void method189(int var1, int var2, int var3, int var4, int[] var5, int var6) {
      long var7 = IDirect3DTexture.GetSurfaceLevel(this.aLong4078, 0);
      long var9 = IDirect3DDevice.CreateRenderTarget(this.aClass545_Sub2_Sub1_4080.aLong10294, var3, var4, 21, 0, 0, true);
      if(Class23.method813(IDirect3DDevice.StretchRect(this.aClass545_Sub2_Sub1_4080.aLong10294, var7, var1, var2, var3, var4, var9, 0, 0, var3, var4, 1))) {
         IDirect3DSurface.Download(var9, 0, 0, var3, var4, var3 * 4, 16, this.aClass545_Sub2_Sub1_4080.aLong9730);
         this.aClass545_Sub2_Sub1_4080.aByteBuffer9763.clear();
         this.aClass545_Sub2_Sub1_4080.aByteBuffer9763.asIntBuffer().get(var5);
      }

      IUnknown.Release(var7);
      IUnknown.Release(var9);
   }

   public int method30() {
      return super.method30();
   }

   public void method227() {
      super.method228();
   }

   public float method184(float var1) {
      return super.method184(var1);
   }

   public float method185(float var1) {
      return super.method185(var1);
   }

   public boolean method186() {
      return super.method186();
   }

   public void method202(boolean var1, boolean var2) {
      super.method187(var1, var2);
   }

   public float method191() {
      return super.method191();
   }

   public void method205(int var1, int var2, int var3, int var4, byte[] var5, Class98 var6, int var7, int var8) {
      super.method205(var1, var2, var3, var4, var5, var6, var7, var8);
   }

   public void method228() {
      super.method228();
   }

   public void method201(int var1, int var2, int var3, int var4, byte[] var5, Class98 var6, int var7, int var8) {
      super.method205(var1, var2, var3, var4, var5, var6, var7, var8);
   }

   public boolean method209() {
      return super.method209();
   }

   public void method200(int var1, int var2, int var3, int var4, int[] var5, int var6, int var7) {
      super.method200(var1, var2, var3, var4, var5, var6, var7);
   }

   public void method224(Class353 var1) {
      super.method224(var1);
   }

   public void method10() {
      super.method10();
   }

   public void method8() {
      super.method10();
   }

   public void method9() {
      super.method10();
   }

   public int method94() {
      return super.method30();
   }

   public float method198(float var1) {
      return super.method185(var1);
   }

   public int method194() {
      return super.method35();
   }

   public int method35() {
      return super.method35();
   }

   public int method176() {
      return super.method35();
   }

   public float method193(float var1) {
      return super.method184(var1);
   }

   public Interface7 method222(int var1) {
      return new Class303(this, var1);
   }

   public float method197(float var1) {
      return super.method184(var1);
   }

   public boolean method199() {
      return super.method186();
   }

   public void method206(boolean var1, boolean var2) {
      super.method187(var1, var2);
   }

   public float method190() {
      return super.method190();
   }

   public void method187(boolean var1, boolean var2) {
      super.method187(var1, var2);
   }

   public void method210(int var1, int var2, int var3, int var4, int[] var5, int var6, int var7) {
      super.method200(var1, var2, var3, var4, var5, var6, var7);
   }

   public void method203(boolean var1, boolean var2) {
      super.method187(var1, var2);
   }

   public int method95() {
      return super.method30();
   }

   public void method188(int var1, int var2, int var3, int var4, int[] var5, int var6) {
      long var7 = IDirect3DTexture.GetSurfaceLevel(this.aLong4078, 0);
      long var9 = IDirect3DDevice.CreateRenderTarget(this.aClass545_Sub2_Sub1_4080.aLong10294, var3, var4, 21, 0, 0, true);
      if(Class23.method813(IDirect3DDevice.StretchRect(this.aClass545_Sub2_Sub1_4080.aLong10294, var7, var1, var2, var3, var4, var9, 0, 0, var3, var4, 1))) {
         IDirect3DSurface.Download(var9, 0, 0, var3, var4, var3 * 4, 16, this.aClass545_Sub2_Sub1_4080.aLong9730);
         this.aClass545_Sub2_Sub1_4080.aByteBuffer9763.clear();
         this.aClass545_Sub2_Sub1_4080.aByteBuffer9763.asIntBuffer().get(var5);
      }

      IUnknown.Release(var7);
      IUnknown.Release(var9);
   }

   public void method207(int var1, int var2, int var3, int var4, int[] var5, int var6) {
      long var7 = IDirect3DTexture.GetSurfaceLevel(this.aLong4078, 0);
      long var9 = IDirect3DDevice.CreateRenderTarget(this.aClass545_Sub2_Sub1_4080.aLong10294, var3, var4, 21, 0, 0, true);
      if(Class23.method813(IDirect3DDevice.StretchRect(this.aClass545_Sub2_Sub1_4080.aLong10294, var7, var1, var2, var3, var4, var9, 0, 0, var3, var4, 1))) {
         IDirect3DSurface.Download(var9, 0, 0, var3, var4, var3 * 4, 16, this.aClass545_Sub2_Sub1_4080.aLong9730);
         this.aClass545_Sub2_Sub1_4080.aByteBuffer9763.clear();
         this.aClass545_Sub2_Sub1_4080.aByteBuffer9763.asIntBuffer().get(var5);
      }

      IUnknown.Release(var7);
      IUnknown.Release(var9);
   }

   public void method208(int var1, int var2, int var3, int var4, int[] var5, int var6) {
      long var7 = IDirect3DTexture.GetSurfaceLevel(this.aLong4078, 0);
      long var9 = IDirect3DDevice.CreateRenderTarget(this.aClass545_Sub2_Sub1_4080.aLong10294, var3, var4, 21, 0, 0, true);
      if(Class23.method813(IDirect3DDevice.StretchRect(this.aClass545_Sub2_Sub1_4080.aLong10294, var7, var1, var2, var3, var4, var9, 0, 0, var3, var4, 1))) {
         IDirect3DSurface.Download(var9, 0, 0, var3, var4, var3 * 4, 16, this.aClass545_Sub2_Sub1_4080.aLong9730);
         this.aClass545_Sub2_Sub1_4080.aByteBuffer9763.clear();
         this.aClass545_Sub2_Sub1_4080.aByteBuffer9763.asIntBuffer().get(var5);
      }

      IUnknown.Release(var7);
      IUnknown.Release(var9);
   }

   public float method196() {
      return super.method190();
   }

   public float method192() {
      return super.method191();
   }

   public boolean method211() {
      return super.method209();
   }

   public boolean method212() {
      return super.method209();
   }

   public boolean method213() {
      return super.method209();
   }

   public void method226() {
      super.method228();
   }

   public void method204(int var1, int var2, int var3, int var4, byte[] var5, Class98 var6, int var7, int var8) {
      super.method205(var1, var2, var3, var4, var5, var6, var7, var8);
   }

   public void method225(Class353 var1) {
      super.method224(var1);
   }

   public Interface7 method223(int var1) {
      return new Class303(this, var1);
   }
}
